!tBPyYyjOQgVzlwFvEI:matrix.org

CadQuery Showcase

573 Members
3 Servers

Load older messages


SenderMessageTime
15 Jul 2023
@_discord_629065055044108328:t2bot.iozegkljan joined the room.22:12:49
16 Jul 2023
@_discord_856491369765928971:t2bot.iomedicationforall01.png
Download 01.png
12:00:14
@_discord_856491369765928971:t2bot.iomedicationforall02.jpg
Download 02.jpg
12:00:16
@_discord_856491369765928971:t2bot.iomedicationforall03.jpg
Download 03.jpg
12:00:17
@_discord_856491369765928971:t2bot.iomedicationforall04.jpg
Download 04.jpg
12:00:19
@_discord_856491369765928971:t2bot.iomedicationforall Created a remix of my Walkway as a Tray / Diorama
https://miniforall.com/minidisplaytray.html
12:00:19
@_discord_423209993488039958:t2bot.ioleograyc joined the room.21:04:59
18 Jul 2023
@_discord_340313689867419649:t2bot.io_nwchen joined the room.00:25:06
@_discord_748678873536790589:t2bot.iokissetfall joined the room.23:45:58
19 Jul 2023
@_discord_896482168103125002:t2bot.ioRoger Maitland#7070 A parametric pot lid holder:
from math import sqrt
from build123d import *
from ocp_vscode import *

set_defaults(reset_camera=False)

lid_d = 212 * MM  # lid diameter
lid_t = 15 * MM  # lid edge thickness
gap = 2 * MM  # gap to allow easy insertion
lip = 15 * MM  # amount the holder folds back on itself
thickness = 3 * MM  # material thickness

with BuildPart() as holder:
    # Create the profile from a filleted line
    with BuildSketch() as profile:
        with BuildLine() as outline:
            Polyline(
                (0, 0),
                (lid_d / 2 + gap, 0),
                (lid_d / 2 + gap, lid_t + gap),
                (lid_d / 2 - lip, lid_t + gap),
            )
            fillet(outline.vertices(), radius=gap)
            offset(amount=thickness, side=Side.RIGHT)
        make_face()

    # Revolve 90° as the part is mirrored later
    revolve(axis=Axis.Y, revolution_arc=90)

    # Create a box to control the part of the revolution to keep
    size = holder.part.bounding_box().size
    with Locations((0, -thickness, -lid_d / 4)):
        Box(
            2 * size.X,
            size.Y,
            size.Y,
            mode=Mode.INTERSECT,
            align=(Align.CENTER, Align.MIN, Align.CENTER),
        )
19:28:43
@_discord_896482168103125002:t2bot.ioRoger Maitland#7070lid_holder.png
Download lid_holder.png
19:29:28
@_discord_896482168103125002:t2bot.ioRoger Maitland#7070
    # Soften the sharp edges
    fillet(holder.edges().filter_by(Axis.Y).sort_by(Axis.X)[2:4], lip / 3)
    chamfer(holder.edges().filter_by_position(Axis.X, 1, size.X), 1 * MM)

    # Create the mounting screw hole
    with Locations(holder.faces().group_by(SortBy.AREA)[-1].sort_by(Axis.Y)[-1]):
        h = CounterSinkHole(3.8 * MM / 2, 7 * MM / 2)

    # Mirror to complete the part
    mirror(about=Plane.YZ)

    # Create a centered alignment notch to help with mounting
    min_z = holder.part.bounding_box().min.Z
    with Locations((0, -thickness, min_z)):
        Box(
            sqrt(2),
            thickness,
            sqrt(2),
            rotation=(0, 45, 0),
            align=(Align.CENTER, Align.MIN, Align.CENTER),
            mode=Mode.SUBTRACT,
        )

holder.part.export_step("holder-212.step")
print(f"Mounting holes spacing: {2*h.center().X:0.1f}mm")
show(holder)
19:29:29
22 Jul 2023
@_discord_643524677288984606:t2bot.iomitko.k joined the room.16:08:39
@_discord_190456376177328129:t2bot.iononchip joined the room.19:15:26
@_discord_157615616889585664:t2bot.ioapplefanboy joined the room.19:18:52
23 Jul 2023
@_discord_107490445768003584:t2bot.iobogdan.savluk joined the room.15:25:18
24 Jul 2023
@_discord_276147947857772544:t2bot.iocolin_coin_coin joined the room.00:51:04
25 Jul 2023
@_discord_712538480579838033:t2bot.iovasilykovalev joined the room.05:01:33
@_discord_702849254934315019:t2bot.ioschnilz joined the room.07:18:11
@_discord_1086125834319958087:t2bot.ioziguana joined the room.15:16:11
26 Jul 2023
@_discord_459381361061527563:t2bot.ioolivelivers joined the room.16:56:00
27 Jul 2023
@_discord_878236379920879626:t2bot.io.__marty__ joined the room.13:23:45
28 Jul 2023
@_discord_946420232635961444:t2bot.iozoulamar joined the room.07:55:21
@_discord_231766734166556672:t2bot.iojonnyhaystack There was only a case design for the 5 column version of this keyboard PCB so I made a 6 column variant using build123d. Huge thanks to Jern for helping me out by optimising the SVG in Inkscape!
https://www.printables.com/model/538027-abominationcorne-choc-xiao-case-6-columns
13:26:48
@_discord_231766734166556672:t2bot.iojonnyhaystackphoto_2023-07-28_14-02-58.webp
Download photo_2023-07-28_14-02-58.webp
13:27:10
29 Jul 2023
@_discord_231766734166556672:t2bot.iojonnyhaystack256859086-305b37e2-7e88-4de8-8a63-1e30c46708fd.png
Download 256859086-305b37e2-7e88-4de8-8a63-1e30c46708fd.png
12:10:37
@_discord_231766734166556672:t2bot.iojonnyhaystack256859563-ab3a1072-ada0-4a10-ad6b-e0e10d81a929.png
Download 256859563-ab3a1072-ada0-4a10-ad6b-e0e10d81a929.png
12:10:37
@_discord_231766734166556672:t2bot.iojonnyhaystack Finished this quite some time ago now, but only just wrote the README yesterday and made it public: https://github.com/JonnyHaystack/4MaxProTouchscreenMount 12:10:38
@_discord_231766734166556672:t2bot.iojonnyhaystack Oh I forgot to add a link to build123d in the README for this one. I'll have to do that later 😄 12:11:35
@_discord_298154826972266496:t2bot.iokpo joined the room.14:58:06

Show newer messages


Back to Room ListRoom Version: 9